Bug 192629 - Improve formatting of spaces for annotations
Improve formatting of spaces for annotations
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
7.0
PC Linux
: P3 (vote)
: 7.2
Assigned To: Dusan Balek
issues@java
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-29 10:49 UTC by Tomas Mysik
Modified: 2012-02-22 11:02 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Mysik 2010-11-29 10:49:26 UTC
If one uses spaces around "=", there's no way to specify "no spaces" for annotations (this is pretty common).

Example:
@Test(a=1)
class Test {
   private a = 1;
}

Maybe this could be considered as a bug so it can be fixed for NB 7.0 FCS ? ;)

Thanks a lot, Dušane!

Product Version: NetBeans IDE 7.0 Beta (Build 201011152355)
Java: 1.6.0_22; Java HotSpot(TM) 64-Bit Server VM 17.1-b03
System: Linux version 2.6.36-bfs running on amd64; UTF-8; cs_CZ (nb)
Comment 1 Tomas Mysik 2010-12-17 10:00:32 UTC
Sorry, changing to defect because formatting is quite unusable in model classes (JPA, @Column etc. annotations).

Thanks.
Comment 2 Dusan Balek 2012-02-21 12:49:10 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/4849ddcb0167
Comment 3 Quality Engineering 2012-02-22 11:02:49 UTC
Integrated into 'main-golden', will be available in build *201202220400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4849ddcb0167
User: Dusan Balek <dbalek@netbeans.org>
Log: Minor Java formatting improvements (see issues #131227, #192629).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo